MidnightBSD Magus

java/openjdk7

Java Development Kit 7

Flavor Version Run OSVersion Arch License Restricted Status
7.45.18 284 0.6 amd64 gpl2 0 fail

Events

Machine Type Time Message
defiant info 2014-12-21 19:40:48.648845 Test Started
defiant fail 2014-12-21 19:45:19.640282 make configure returned non-zero: 1
defiant fail 2014-12-21 19:45:19.743714 Test complete.

Log

===>   openjdk-7.45.18 depends on executable: zip - not found
===>    Verifying magus-install-depend for zip in /usr/mports/archivers/zip
===>  Installing /magus/packages/All/zip-3.0_1.mport
Installing zip-3.0_1
[====                                                                ]   5/100%[========                                                            ]  11/100%[============                                                        ]  17/100%[================                                                    ]  23/100%[====================                                                ]  29/100%[========================                                            ]  35/100%[============================                                        ]  41/100%[================================                                    ]  47/100%[====================================                                ]  52/100%[========================================                            ]  58/100%[============================================                        ]  64/100%[================================================                    ]  70/100%[====================================================                ]  76/100%[========================================================            ]  82/100%[============================================================        ]  88/100%[================================================================    ]  94/100%[====================================================================] 100/100%
===>  Done.
===>  Cleaning for zip-3.0_1
===>   Returning to build of openjdk-7.45.18
===>   openjdk-7.45.18 depends on executable in : unzip - found
===>   openjdk-7.45.18 depends on file: /usr/local/include/cups/cups.h - not found
===>    Verifying magus-install-depend for /usr/local/include/cups/cups.h in /usr/mports/print/cups-client
===>  Installing /magus/packages/All/cups-client-1.5.4.mport
===>   cups-client-1.5.4 depends on shared library: libiconv.so.3 - not found
===>    Verifying for libiconv.so.3 in /usr/mports/converters/libiconv
===>  Installing /magus/packages/All/libiconv-1.14_8.mport
Installing libiconv-1.14_8
[==                                                                  ]   3/100%[=====                                                               ]   7/100%[=======                                                             ]  11/100%[==========                                                          ]  15/100%[=============                                                       ]  19/100%[===============                                                     ]  23/100%[==================                                                  ]  26/100%[====================                                                ]  30/100%[=======================                                             ]  34/100%[==========================                                          ]  38/100%[============================                                        ]  42/100%[===============================                                     ]  46/100%[==================================                                  ]  50/100%[====================================                                ]  53/100%[=======================================                             ]  57/100%[=========================================                           ]  61/100%[============================================                        ]  65/100%[===============================================                     ]  69/100%[=================================================                   ]  73/100%[====================================================                ]  76/100%[======================================================              ]  80/100%[=========================================================           ]  84/100%[============================================================        ]  88/100%[==============================================================      ]  92/100%[=================================================================   ]  96/100%[====================================================================] 100/100%
===>  Done.
===>  Cleaning for libiconv-1.14_8
===>   Returning to build of cups-client-1.5.4
Installing cups-client-1.5.4
[===                                                                 ]   4/100%[======                                                              ]   9/100%[=========                                                           ]  14/100%[============                                                        ]  19/100%[================                                                    ]  23/100%[===================                                                 ]  28/100%[======================                                              ]  33/100%[=========================                                           ]  38/100%[=============================                                       ]  42/100%[================================                                    ]  47/100%[===================================                                 ]  52/100%[======================================                              ]  57/100%[==========================================                          ]  61/100%[=============================================                       ]  66/100%[================================================                    ]  71/100%[===================================================                 ]  76/100%[=======================================================             ]  80/100%[==========================================================          ]  85/100%[=============================================================       ]  90/100%[================================================================    ]  95/100%[====================================================================] 100/100%
===>  Done.
===>  Cleaning for cups-client-1.5.4
===>   Returning to build of openjdk-7.45.18
===>   openjdk-7.45.18 depends on file: /usr/local/bootstrap-openjdk/bin/javac - not found
===>    Verifying magus-install-depend for /usr/local/bootstrap-openjdk/bin/javac in /usr/mports/java/bootstrap-openjdk
Missing dependency package file: /magus/packages/All/bootstrap-openjdk-r351880.mport
*** [magus-install-depend] Error code 1

Stop in /usr/mports/java/bootstrap-openjdk.
*** [build-depends] Error code 1

Stop in /usr/mports/java/openjdk7.